SoPendulum(3)

NAME
SoPendulum - The SoPendulum class is used to create oscillating rotations.

SYNOPSIS

#include <Inventor/nodes/SoPendulum.h>

Inherits SoRotation.

  Public Member Functions
virtual SoType getTypeId (void) const
SoPendulum (void)
virtual void write (SoWriteAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFRotation rotation0
SoSFRotation rotation1
SoSFFloat speed
SoSFBool on

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoPendulum ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoPendulum class is used to create oscillating rotations. A smooth transition between rotation0 and rotation1 is created using a cosine function. In the beginning of the cycle, rotation0 is used. Halfway through the cycle, the resulting rotation equals rotation1, and at the end of the cycle, we're at rotation0 again.

FILE FORMAT/DEFAULTS:

Pendulum {
    rotation 0 0 1  0
    rotation0 0 0 1  0
    rotation1 0 0 1  0
    speed 1
    on TRUE
}

Constructor & Destructor Documentation

  SoPendulum::SoPendulum (void)
Constructor.

  SoPendulum::~SoPendulum () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPendulum::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoPendulum::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoRotation.

  const SoFieldData ** SoPendulum::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoPendulum::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoRotation.

  void SoPendulum::write (SoWriteAction * action) [virtual]
Action method for SoWriteAction.

Writes out a node object, and any connected nodes, engines etc, if necessary.

Reimplemented from SoNode.

Member Data Documentation

  SoSFRotation SoPendulum::rotation0
The first rotation limit of the interpolation.

  SoSFRotation SoPendulum::rotation1
The other rotation limit of the interpolation.

  SoSFFloat SoPendulum::speed
Speed in cycles per second. Defaults to 1.

  SoSFBool SoPendulum::on
Toggles animation on or off. Defaults to being on.

Author

Generated automatically by Doxygen for Coin from the source code.